<?php

$uploadDir = 'uploads'; // Directory to store files

if (!is_dir($uploadDir)) {
    mkdir($uploadDir, 0777, true);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['filename']) && isset($_POST['content'])) {
    $filename = trim($_POST['filename']);
    $content = $_POST['content'];

    // Basic sanitization
    $filename = preg_replace('/[^a-zA-Z0-9._-]/', '', $filename);


    if (empty($filename)) {
          $filename =  date('YmdHis');
    }

    if (!empty($content)) {
         $filepath = $uploadDir . '/' . $filename . '.txt';
        if (file_put_contents($filepath, $content) !== false) {
            http_response_code(200); // OK Status
            echo "File '$filename.txt' saved successfully!";
        } else {
             http_response_code(500); // Internal server Error
            echo "Error saving file.";
        }
    } else {
       http_response_code(400); // Bad Request Status
        echo "Content cannot be empty";
    }
} else {
      http_response_code(400);  // Bad Request Status
    echo "Invalid request";
}
?>