<?php
// Replace with your actual Gemini API Key
$apiKey = 'AIzaSyAb0jw0U-Zvg0TChGdGVNDupcWQ5rGk4Pk';

// Assuming book name is passed in the request body
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $bookName = isset($_POST['book-name']) ? $_POST['book-name'] : '';
    $bookAuthor = isset($_POST['book-author']) ? $_POST['book-author'] : '';

    if (empty($bookName)) {
        echo json_encode(['error' => 'Please enter a book title.']);
        exit;
    }
  $authorText = "";
    if(!empty($bookAuthor))
    {
       $authorText = " by " .$bookAuthor;
    }

  $prompt = "I have posted an audiobook on youtube, Write a description for the book " . $bookName . $authorText . " in the format given below. write in plain text only

#audiobook #booksummary #[booktitle]

[Clickbait title in हिंदी] | [Book title by author] AudioBook Summary

[Include a 5 lines introduction of the book]


✰📘10 Best Learnings From This Book🕵️‍♀️:-
[Include 10 important learnings here].

Don’t forget to like, comment, and share if you find these insights valuable. Subscribe to @AudioBookLegends   for more powerful book summaries and personal development content!

✰𝐏𝐨𝐩𝐮𝐥𝐚𝐫 𝐇𝐚𝐬𝐡𝐭𝐚𝐠𝐬🕵️‍♀️:
[Include 5 trending hashtags] #thelostlegends

✰𝗬𝗼𝘂𝗿 𝗦𝗲𝗮𝗿𝗰𝗵 𝗤𝘂𝗲𝗿𝗶𝗲𝘀🔍:
audiobook
book summary
audiobook in Hindi
book summary in Hindi
audiobook summary
audiobook summary in hindi
free audiobook in Hindi
free book summary in hindi
the lost legends
[Here Include top 5 relevant search queries about the book and category of the book]


⚠️𝗙𝗮𝗶𝗿-𝗨𝘀𝗲 𝗖𝗼𝗽𝘆𝗿𝗶𝗴𝗵𝘁 𝗗𝗶𝘀𝗰𝗹𝗮𝗶𝗺𝗲𝗿⚠️:
Copyright Disclaimer Under Section 107 of the Copyright Act 1976, allowance is made for \"fair use\" for purposes such as criticism, commenting, news reporting, teaching, scholarship, and research. Fair use is a use permitted by copyright statute that might otherwise be infringing. Non-profit, educational, or personal use tips the balance in favor of fair use.


This video has no negative impact on the original works (it would actually be positive for them). It is also for teaching purposes and is not transformative in nature. We have repurposed content with the intent of educating and inspiring others. If any content owners would like their images removed, please contact us at AudioBookLegends@gmail.com.
Thank you for watching and supporting The Lost Legends!";


    $url = 'https://generativelanguage.googleapis.com/v1beta/models/gemini-2.0-flash-exp:generateContent?key=' . $apiKey;

    $data = [
        'contents' => [
            [
                'parts' => [
                    ['text' => $prompt],
                ],
            ],
        ],
    ];

    $options = [
        'http' => [
            'method' => 'POST',
            'header' => 'Content-Type: application/json',
            'content' => json_encode($data),
        ],
    ];
    $context = stream_context_create($options);

    $result = @file_get_contents($url, false, $context);

    if ($result === false) {
         $error = error_get_last();
         $errorMessage = "Error: " . ($error ? $error['message'] : 'Failed to fetch Gemini API Response.');
         echo json_encode(['error' => $errorMessage]);
       
        exit;
      
    }


    $response = json_decode($result, true);
    if (isset($response['candidates']) && is_array($response['candidates']) && count($response['candidates']) > 0){
    $description = $response['candidates'][0]['content']['parts'][0]['text'];
// $description= str_replace("*",""$description);


    echo json_encode(['description' => $description]);
    } else{
        echo json_encode(['error' => 'Error: Gemini API response does not contain expected data.']);
       
    }

} else {
    echo json_encode(['error' => 'Invalid request method.']);
}

?>