<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $url = 'https://tts-api.imyfone.com/v5/voice/tts_tourist';

    // Initialize cURL session
    $ch = curl_init($url);

    // Set headers
    $headers = [
        'Origin: https',
        'X-Requested-With: TTS',
        'Accept: application/json, text/plain, */*',
        'Device: a3255cc2c86cc6cf3a267d48d7c4f095',
        'Connection: keep-alive',
        'User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36',
        'Referer: https',
        'Sec-Fetch-Site: cross-site',
        'Sec-Fetch-Dest: empty',
        'Host: tts-api.imyfone.com',
        'Accept-Encoding: gzip, deflate, br, zstd',
        'Sec-Fetch-Mode: cors',
        'sec-ch-ua: "Android WebView";v="129", "Not=A?Brand";v="8", "Chromium";v="129"',
        'sec-ch-ua-mobile: ?1',
        'sec-ch-ua-platform: "Android"',
        'Web-Req: 1',
        'Accept-Language: en-IN,en-US;q=0.9,en;q=0.8'
    ];

    // Prepare POST data
    $postData = [
        'accent' => 'Hindi',
        'emotion_name' => 'Default',
        'text' => '<speak>' . $_POST['text'] . '</speak>',
        'speed' => '1',
        'volume' => '50',
        'voice_id' => '3b7c2184-e5cc-11ee-8899-00163e04a2e4',
        'article_title' => 'Unnamed',
        'session_id' => 'a3255cc2c86cc6cf3a267d48d7c4f095',
        'tourist_id' => 'Guest_519qCbBYGTQaL',
        'is_audition' => '1',
        'pitch' => '3',
        'stability' => '50',
        'similarity' => '95',
        'exaggeration' => '0',
        'eliminate_noise' => '0',
        'country_code' => 'IN'
    ];

    // Set cURL options
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postData));

    // Execute cURL request
    $response = curl_exec($ch);

    // Check if any error occurred
    if(curl_errno($ch)) {
        echo json_encode(['error' => curl_error($ch)]);
    } else {
        // Decode the JSON response
        $data = json_decode($response, true);
        echo json_encode($data);
    }

    // Close cURL session
    curl_close($ch);
}
?>
