<?php
// Replace with your actual Gemini API Key
$apiKey = 'AIzaSyAb0jw0U-Zvg0TChGdGVNDupcWQ5rGk4Pk';

// Assuming book name is passed in the request body
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $bookName = isset($_POST['book-name']) ? $_POST['book-name'] : '';
    $bookAuthor = isset($_POST['book-author']) ? $_POST['book-author'] : '';

    if (empty($bookName)) {
        echo json_encode(['error' => 'Please enter a book title.']);
        exit;
    }
  $authorText = "";
    if(!empty($bookAuthor))
    {
       $authorText = " by " .$bookAuthor;
    }

  $prompt = "I have posted an audiobook on youtube, Write a description for the book " . $bookName . $authorText . " in the format given below. write in plain text only

#audiobook #booksummary #[booktitle]

[a 5 word Clickbait title in हिंदी] | [Book title by author] AudioBook Summary

[Include a 5 lines introduction of the book]


Don’t forget to like, comment, and share if you find these insights valuable. Subscribe to https://youtube.com/@audiobooklegends?si=O4w7Og3a8PJOAGQi   for more powerful book summaries and personal development content!

✰𝐏𝐨𝐩𝐮𝐥𝐚𝐫 𝐇𝐚𝐬𝐡𝐭𝐚𝐠𝐬🕵️‍♀️:
[Include 5 trending hashtags] #audiobooklegends

✰𝗬𝗼𝘂𝗿 𝗦𝗲𝗮𝗿𝗰𝗵 𝗤𝘂𝗲𝗿𝗶𝗲𝘀🔍:
audiobook
book summary
audiobook in Hindi
book summary in Hindi
audiobook summary
audiobook summary in hindi
free audiobook in Hindi
free book summary in hindi
audiobook legends
_________________________
[Here adding commas Include top 50 short and long tail relevant search queries about the book and category of the book]";


    $url = 'https://generativelanguage.googleapis.com/v1beta/models/gemini-2.0-flash-exp:generateContent?key=' . $apiKey;

    $data = [
        'contents' => [
            [
                'parts' => [
                    ['text' => $prompt],
                ],
            ],
        ],
    ];

    $options = [
        'http' => [
            'method' => 'POST',
            'header' => 'Content-Type: application/json',
            'content' => json_encode($data),
        ],
    ];
    $context = stream_context_create($options);

    $result = @file_get_contents($url, false, $context);

    if ($result === false) {
         $error = error_get_last();
         $errorMessage = "Error: " . ($error ? $error['message'] : 'Failed to fetch Gemini API Response.');
         echo json_encode(['error' => $errorMessage]);
       
        exit;
      
    }


    $response = json_decode($result, true);
    if (isset($response['candidates']) && is_array($response['candidates']) && count($response['candidates']) > 0){
    $description = $response['candidates'][0]['content']['parts'][0]['text'];
// $description= str_replace("*",""$description);


    echo json_encode(['description' => $description]);
    } else{
        echo json_encode(['error' => 'Error: Gemini API response does not contain expected data.']);
       
    }

} else {
    echo json_encode(['error' => 'Invalid request method.']);
}

?>