<?php
header('Content-Type: application/json');
$query = isset($_GET['query']) ? $_GET['query'] : '';

if ($query) {
    $url = "http://suggestqueries.google.com/complete/search?client=firefox&ds=yt&q=" . urlencode($query);
    $response = file_get_contents($url);
    if ($response !== false) {
        $data = json_decode($response, true); // Decode as associative array
        if (isset($data[1]) && is_array($data[1])) {
            $suggestions = array_map('trim', $data[1]);  // Trim each suggestion
            echo json_encode($suggestions);

        } else {
             echo json_encode(['error' => 'No Suggestions found.']);
        }
    } else {
       echo json_encode(['error' => 'Failed to fetch suggestions from Google.']);
    }
} else {
     echo json_encode(['error' => 'Query parameter missing.']);
}

?>